#
# spec file for package python-python-gflags
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-python-gflags
Version:        2.0
Release:        8.3
Url:            http://code.google.com/p/python-gflags
Summary:        Google Commandline Flags Module
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/python-gflags/python-gflags-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Provides:       python-gflags = %{version}
# Change to < after 1.6 release
Obsoletes:      python-gflags <= %{version}
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
This project is the python equivalent of google-gflags, a Google commandline
flag implementation for C++. It is intended to be used in situations where a
project wants to mimic the command-line flag handling of a C++ app that uses
google-gflags, or for a Python app that, via swig or some other means, is
linked with a C++ app that uses google-gflags.

The gflags package contains a library that implements commandline flags
processing. As such it's a replacement for getopt(). It has increased
flexibility, including built-in support for Python types, and the ability to
define flags in the source file in which they're used. (This last is its major
difference from OptParse.)

%prep
%setup -q -n python-gflags-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Remove ext from name
mv %{buildroot}%{_bindir}/gflags2man.py  %{buildroot}%{_bindir}/gflags2man

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/gflags2man
%{python_sitelib}/*

%changelog
* Thu Feb 13 2014 rschweikert@suse.com
- include in SLE 12 (FATE #316167)
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Aug  9 2013 rschweikert@suse.com
- update to version 2.0
  * Don't raise DuplicateFlag when re-importing a module (mmcdonald)
  * Changed the 'official' python-gflags email in setup.py/etc
  * Changed copyright text to reflect Google's relinquished ownership
  * Prepare gflags for python 3.x, keeping 2.4 compatibility (twouters)
  * If output is a tty, use terminal's width to wrap help-text (wiesmann)
  * PORTING: Fix ImportError for non-Unix platforms (kdeus)
  * PORTING: Run correctly when termios isn't available (shines)
  * Add unicode support to flags (csilvers)
* Thu Dec  8 2011 idonmez@suse.com
- Update tarball to upstream version (no code changes)
* Tue Nov 29 2011 saschpe@suse.de
- Set license to SDPX style (BSD-3-Clause)
* Mon May 23 2011 prusnak@opensuse.org
- updated to 1.6
* Tue Oct 26 2010 silas@sewell.ch
- Fix non-executable-script error
* Wed Oct 13 2010 silas@sewell.ch
- Initial package
